Package org.apache.commons.compress.harmony.unpack200.bytecode

# Class CPUTF8

java.lang.Object
org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry
org.apache.commons.compress.harmony.unpack200.bytecode.ConstantPoolEntry
org.apache.commons.compress.harmony.unpack200.bytecode.CPUTF8

public class CPUTF8 extends ConstantPoolEntry
UTF8 constant pool entry, used for storing long Strings.

- ## Field Summary

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ConstantPoolEntry

  `CP_Class, CP_Double, CP_Fieldref, CP_Float, CP_Integer, CP_InterfaceMethodref, CP_Long, CP_Methodref, CP_NameAndType, CP_String, CP_UTF8, globalIndex`

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry

  `NONE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CPUTF8(String string)`
  Constructs a new instance.
  `CPUTF8(String string, int globalIndex)`
  Creates a new instance

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `int`
  `hashCode()`
  `void`
  `setGlobalIndex(int index)`
  Sets the global index.
  `String`
  `toString()`
  `String`
  `underlyingString()`
  Gets the underlying string.
  `protected void`
  `writeBody(DataOutputStream dos)`
  Writes this instance to the given output stream.

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ConstantPoolEntry

  `doWrite, getGlobalIndex, getTag`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry

  `getNestedClassFileEntries, objectHashCode, resolve, write`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CPUTF8

    public CPUTF8(String string)
    Constructs a new instance.
    Parameters:
      `string` - a constant pool string.

  - ### CPUTF8

    public CPUTF8(String string, int globalIndex)
    Creates a new instance
    Parameters:
      `string` - a constant pool string.
      `globalIndex` - index in CpBands
    Throws:
      `NullPointerException` - if utf8 is null.

- ## Method Details

  - ### equals

    public boolean equals(Object obj)
    Specified by:
      `equals` in class `ConstantPoolEntry`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in class `ConstantPoolEntry`

  - ### setGlobalIndex

    public void setGlobalIndex(int index)
    Sets the global index.
    Parameters:
      `index` - the global index.

  - ### toString

    public String toString()
    Specified by:
      `toString` in class `ClassFileEntry`

  - ### underlyingString

    public String underlyingString()
    Gets the underlying string.
    Returns:
      the underlying string.

  - ### writeBody

    protected void writeBody(DataOutputStream dos) throws IOException
    Description copied from class: `ConstantPoolEntry`
    Writes this instance to the given output stream.
    Specified by:
      `writeBody` in class `ConstantPoolEntry`
    Parameters:
      `dos` - the output stream.
    Throws:
      `IOException` - if an I/O error occurs.